# ProcessingStateContext

The error which could have occurred (or `good`)


## Values

| Name                         | Value                        |
| ---------------------------- | ---------------------------- |
| `GOOD`                       | good                         |
| `SOURCE_FILE_UNAVAILABLE`    | sourceFileUnavailable        |
| `SOURCE_FILE_METADATA_ERROR` | sourceFileMetadataError      |
| `CLIENT_PROFILE_ERROR`       | clientProfileError           |
| `IO_ERROR`                   | ioError                      |
| `TRANSCODER_ERROR`           | transcoderError              |
| `UNKNOWN_ERROR`              | unknownError                 |
| `MEDIA_ANALYSIS_ERROR`       | mediaAnalysisError           |
| `DOWNLOAD_FAILED`            | downloadFailed               |
| `ACCESS_DENIED`              | accessDenied                 |
| `CANNOT_TRANSCODE`           | cannotTranscode              |
| `CODEC_INSTALL_ERROR`        | codecInstallError            |